<?php
	defined('_IN_JOHNCMS') or die('Error: restricted access');
	
		$counts = @ mysql_result(mysql_query('SELECT COUNT(*) FROM `' . $set['prefblog'] . 'blogs` WHERE `id`=' . $id . ';'), 0);
		if($counts==0)
		{
			$textl = 'Блоги | Коментарии';
			require_once('../incfiles/head.php');
			echo '<div class="menu">Ошибка! Статьи не существует!</div>';
			require_once ('../incfiles/end.php');
			exit;
		}
		$res = mysql_fetch_assoc(mysql_query("SELECT * FROM `" . $set['prefblog'] . "blogs` WHERE `id`='" . $id . "';"));
		$textl = 'Блоги | Комментарии к статье ' . $res['name'];
		require_once('../incfiles/head.php');
		if($set['mod_blogs_comm']==0)
		{
			echo '<div class="rmenu">Комментарии закрыты!</div>';
			if ($rights < 7)
			{
				require_once ('../incfiles/end.php');
				exit;
			}
		}
		echo '<div class="phdr"><a href="./">Блоги</a> | "' . $res['name'] . '" - Комментарии</div>';
		if($res['komm']!=1)
		{
			if($user_id)
			{
				if(!$_POST)
				{
					echo '<form class="list2" action="?act=komm&amp;id=' . $id . '" method="post">';
					echo 'Сообщение:<br />
					<textarea name="text" value=""></textarea><b style="background-color : #d5d5d5;border : 1px solid silver;padding : 0px 3px 0px 3px;">max. 1000</b><br />';
					echo '<input type="submit" name="submit" value="Добавить"/></form>';
				}
				else
				{
					$text = check(trim($_POST['text']));
					
					$flood = antiflood();
					
					if ($flood)
						$error = 'Вы не можете так часто добавлять сообщения<br />Пожалуйста, подождите ' . $flood . ' сек.';
					
					if (empty($text))
						$error = $error . 'Не введёно сообщение!<br />';
					elseif (mb_strlen($text) < 4 || mb_strlen($text) > 1000)
						$error = $error . 'Недопустимая длина сообщения!<br />';
					if($row['komm']==1)
						$error = $error . 'Нельзя добавлять комментарии к данной статье!<br />';
					if($set_blogs['komm_closed']==1)
						$error = $error . 'Комментарии закрыты!<br />';
					if (empty($error))
					{
						mysql_query("INSERT INTO `" . $set['prefblog'] . "blogs_komm` SET
						`ref`='" . $id . "',
						`text`='" . mysql_real_escape_string($text) . "',
						`uid`='" . $user_id . "',
						`ip`='" . $ipl . "',
						`ua`='" . mysql_real_escape_string($agn) . "',
						`time`='" . $realtime . "';");
						mysql_query("UPDATE `users` SET `lastpost` = '$realtime' WHERE `id` = '$user_id'");
						header('Location: index.php?act=komm&id=' . $id);
					}
					else
					{
						echo display_error($error);
					}
				}
			}
		}
		else
		{
			echo '<div class="rmenu">Комментарии закрыты автором статьи</div>';
		}
		$count = mysql_result(mysql_query("SELECT COUNT(*) FROM `" . $set['prefblog'] . "blogs_komm` WHERE `ref`='" . $id . "';"), 0);
		if($count>0)
		{
			$res1 = mysql_query("SELECT * FROM `" . $set['prefblog'] . "blogs_komm` WHERE `ref`='" . $id . "' ORDER BY `time` DESC LIMIT " . $start . "," . $kmess);
			while ($row = mysql_fetch_assoc($res1))
			{
				$req = mysql_fetch_assoc(mysql_query("SELECT `id`, `name`, `sex`, `lastdate`, `datereg`, `status`, `rights` FROM `users` WHERE `id`='" . $row['uid'] . "';"));
				echo ($i % 2) ? '<div class="list2">' : '<div class="list1">';
				echo show_user($req,1,NULL,NULL,$row['text']);
				if($res['uid']==$user_id)echo '<a href="?act=delk&amp;id=' . $row['id'] . '">Удалить</a>';
				echo '</div>';
				++$i;
			}
			if ($count > $kmess)
			{
				echo '<p class="menu">' . pagenav('index.php?act=komm&amp;id='.$id.'&amp;', $start, $count, $kmess) . '<br/>';
				echo '<form action="" method="POST">
				<input type="text" name="page" size="2"/> <input type="submit" value="GO"/></form></p>';
			}
		}
		else
		{
			echo '<div class="menu">Комментариев нет</div>';
		}
		
		echo '<div class="menu"><a href="?act=view&amp;id='.$id.'">Назад</a></div>';
?>